const defaultSettings = {
  disablePluginNotification: false,
  verbose: false
};
const settings = getSettings();
function getSettings() {
  let _settings = { ...defaultSettings };
  const overlaySettings = localStorage.getItem("astro:dev-overlay:settings");
  if (overlaySettings) {
    _settings = { ..._settings, ...JSON.parse(overlaySettings) };
  }
  function updateSetting(key, value) {
    _settings[key] = value;
    localStorage.setItem("astro:dev-overlay:settings", JSON.stringify(_settings));
  }
  return {
    get config() {
      return _settings;
    },
    updateSetting
  };
}
export {
  defaultSettings,
  settings
};
